Browse Source

[Tests] add `nvm exec --lts` tests.

Jordan Harband 9 years ago
parent
commit
58a82a1d31
No known key found for this signature in database
GPG Key ID: 64A196AEE0916D55
  1. 18
      test/slow/nvm exec/Running "nvm exec --lts" should work
  2. 1
      test/slow/nvm exec/setup_dir
  3. 1
      test/slow/nvm exec/teardown_dir

18
test/slow/nvm exec/Running "nvm exec --lts" should work

@ -0,0 +1,18 @@
#!/bin/sh
set -ex
die () { echo $@ ; exit 1; }
. ../../../nvm.sh
nvm install --lts || die 'nvm install --lts failed'
NPM_VERSION_LTS="$(npm --version)"
TEST_STRING="foo bar"
nvm use 1.0.0 && [ "$(node --version)" = "v1.0.0" ] || die "\`nvm use\` failed!"
[ "$(nvm exec --lts npm --version | tail -1)" = "$NPM_VERSION_LTS" ] || die "`nvm exec` failed to run with the correct version"
[ "$(nvm exec --lts bash -c "printf '$TEST_STRING'" | tail -1)" = "$TEST_STRING" ] || die "\`nvm exec\` failed to run with a command including whitespace"

1
test/slow/nvm exec/setup_dir

@ -3,6 +3,7 @@
. ../../../nvm.sh . ../../../nvm.sh
nvm install 0.10.7 nvm install 0.10.7
nvm install 1.0.0 nvm install 1.0.0
nvm install --lts
if [ -f ".nvmrc" ]; then if [ -f ".nvmrc" ]; then
mv .nvmrc .nvmrc.bak mv .nvmrc .nvmrc.bak

1
test/slow/nvm exec/teardown_dir

@ -4,6 +4,7 @@
nvm deactivate nvm deactivate
nvm uninstall v0.10.7 nvm uninstall v0.10.7
nvm uninstall v1.0.0 nvm uninstall v1.0.0
nvm uninstall --lts
rm .nvmrc rm .nvmrc

Loading…
Cancel
Save